jQuery(document).ready(function($) {
    // 上传按钮点击事件
    $('#upload-notebook').click(function() {
        $('#notebook-file').click();
    });

    // 文件选择处理
    $('#notebook-file').change(function() {
        var file = this.files[0];
        if (!file) return;
        
        if (!file.name.endsWith('.html')) {
            alert('请选择HTML文件');
            return;
        }

        var formData = new FormData();
        formData.append('action', 'jupyter_upload');
        formData.append('nonce', jupyterAjax.nonce);
        formData.append('notebook', file);

        var $progress = $('#upload-progress');
        var $progressBar = $progress.find('.progress-bar');
        
        $progress.show();
        $progressBar.width('0%');

        $.ajax({
            url: jupyterAjax.ajaxurl,
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            xhr: function() {
                var xhr = new window.XMLHttpRequest();
                xhr.upload.addEventListener('progress', function(evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = evt.loaded / evt.total * 100;
                        $progressBar.width(percentComplete + '%');
                    }
                }, false);
                return xhr;
            },
            success: function(response) {
                if (response.success) {
                    location.reload();
                } else {
                    alert(response.data);
                }
            },
            error: function() {
                alert('上传失败');
            },
            complete: function() {
                $progress.hide();
                $('#notebook-file').val('');
            }
        });
    });

    // 删除按钮点击事件
    $('.delete-notebook').click(function() {
        if (!confirm('确定要删除这个笔记吗？')) {
            return;
        }

        var $button = $(this);
        var filename = $button.data('filename');

        $.post(jupyterAjax.ajaxurl, {
            action: 'jupyter_delete',
            nonce: jupyterAjax.nonce,
            filename: filename
        }, function(response) {
            if (response.success) {
                $button.closest('tr').remove();
            } else {
                alert(response.data);
            }
        });
    });
});