<div class="wrap">
    <h1>Jupyter Notebooks 管理</h1>
    
    <div class="jupyter-usage-guide">
        <h3>使用说明</h3>
        <p><strong>笔记存储位置：</strong><?php echo wp_upload_dir()['basedir']; ?>/jupyter-notebooks/</p>
        <p><strong>在文章中插入笔记：</strong></p>
        <code>[jupyter notebook="笔记名称"]</code>
        <p class="description">例如：对于笔记文件 example.html，使用 [jupyter notebook="example"]</p>
    </div>
    
    <div class="jupyter-upload-section">
        <button id="upload-notebook" class="button button-primary">上传笔记</button>
        <input type="file" id="notebook-file" accept=".html" style="display: none;">
        <div id="upload-progress" style="display: none;">
            <div class="progress-bar"></div>
        </div>
    </div>

    <div class="jupyter-list-section">
        <table class="wp-list-table widefat fixed striped">
            <thead>
                <tr>
                    <th width="50">序号</th>
                    <th>名称</th>
                    <th width="150">上传时间</th>
                    <th width="150">操作</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $upload_dir = wp_upload_dir();
                $jupyter_dir = $upload_dir['basedir'] . '/jupyter-notebooks';
                $files = glob($jupyter_dir . '/*.html');
                
                // 分页
                $current_page = isset($_GET['paged']) ? max(1, intval($_GET['paged'])) : 1;
                $per_page = 20;
                $total_files = count($files);
                $total_pages = ceil($total_files / $per_page);
                $files = array_slice($files, ($current_page - 1) * $per_page, $per_page);
                
                foreach ($files as $index => $file) {
                    $filename = basename($file);
                    $upload_time = date('Y-m-d H:i:s', filemtime($file));
                    $number = ($current_page - 1) * $per_page + $index + 1;
                    ?>
                    <tr>
                        <td><?php echo $number; ?></td>
                        <td><?php echo basename($filename, '.html'); ?></td>
                        <td><?php echo $upload_time; ?></td>
                        <td>
                            <a href="<?php echo admin_url('admin-post.php?action=jupyter_download&filename=' . urlencode($filename)); ?>" 
                               class="button button-small">下载</a>
                            <button class="button button-small delete-notebook" 
                                    data-filename="<?php echo esc_attr($filename); ?>">删除</button>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </tbody>
        </table>
        
        <?php if ($total_pages > 1): ?>
        <div class="tablenav">
            <div class="tablenav-pages">
                <?php
                echo paginate_links(array(
                    'base' => add_query_arg('paged', '%#%'),
                    'format' => '',
                    'prev_text' => '&laquo;',
                    'next_text' => '&raquo;',
                    'total' => $total_pages,
                    'current' => $current_page
                ));
                ?>
            </div>
        </div>
        <?php endif; ?>
    </div>
</div>